<template>
	<view>
		
		<!-- taobao -->
		<u-popup v-model="empowerModel" mode="center" border-radius="12">
		  <empowerModel @closemodel='closeMdl' @updataInfo='updataUser'></empowerModel>
		</u-popup>
	</view>
	
</template>

<script>
	 import empowerModel from '../../components/empowerModel.vue'
	var wv;
	export default {
		components: {
		  empowerModel
		},
		data() {
			return {
				user:'',
				webshow:true,
				empowerModel: false,
			}
		},
		onLoad(options) {
			console.log(options);
			if(options.needlogin)
			{//是否需要登录
				if(!this.hasLogin){
					uni.reLaunch({
						url:"/pages/login/wxlogin"
					})
				}
			}
			switch(options.trantype)
			{
				case "totb":
					this.targetTb(options.tburl);
					break;
			}
			if(options.back)
			{
				uni.navigateBack({
					delta: 1
				});
			}
		},
		onReady() {
		  
		},
		
		methods: {
			targetTb(tburl)
			{
				// #ifdef APP-PLUS
				if (plus.runtime.isApplicationExist({
				    pname: 'com.taobao.taobao',
				    action: 'taobao://'
				  })) {
				  const plug = uni.requireNativePlugin('xiguazhu-baichuan')
				  plug.detailPage({
				    url: tburl,
				    "openType": 0
				  }, result => {
				  });
				} else {
				  uni.navigateTo({
					  url:'@/webView/webView?url=' + tburl
				  })
				}
				// #endif
			},
			closeMdl() {
			  this.empowerModel = false;
			  this.webshow=true;
			},
			openTbMd()
			{
				this.webshow=false;
				 this.empowerModel = true
			},
			updataUser() {
			  var that = this;
			  this.$u.api.getUserInfo({}).then(e => {
			    utils.setCache('userInfo', e.data.userinfo)
			    that.user = e.data.userinfo;
			  }).catch(function(err) {})
			},
		},
		}
</script>

<style>

</style>
